# XCTestConventionPlugin

abstract class XCTestConventionPlugin : Plugin<T>

A plugin that sets up the infrastructure for testing native binaries with XCTest test framework. It also adds conventions on top of it.

#### Since

4.2

## Constructors

XCTestConventionPlugin
Link copied to clipboard
@Inject
constructor(sdkPlatformPathLocator: MacOSSdkPlatformPathLocator, toolChainSelector: ToolChainSelector, componentFactory: NativeComponentFactory, objectFactory: ObjectFactory, attributesFactory: AttributesFactory, targetMachineFactory: TargetMachineFactory)

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)